Package de.willuhn.jameica.hbci.gui.menus

# Enum Class KontoList.Style

java.lang.Object
java.lang.Enum<KontoList.Style>
de.willuhn.jameica.hbci.gui.menus.KontoList.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<KontoList.Style>`, `Constable`

Enclosing class:
  `KontoList`

public static enum KontoList.Style extends Enum<KontoList.Style>
Stil des Kontextmenus.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Default-Stil.
`PASSPORT`
Stil bei den Bankzugaengen.

## Method Summary

Modifier and Type
Method
Description
`static KontoList.Style`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KontoList.Style[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PASSPORT

public static final KontoList.Style PASSPORT
Stil bei den Bankzugaengen.

### DEFAULT

public static final KontoList.Style DEFAULT
Default-Stil.

## Method Details

### values

public static KontoList.Style[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KontoList.Style valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null